Add a member
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/accounts/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"member": {
"first_name": "Other",
"last_name": "User",
"email": "other@example.com",
"role": "staff"
}
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/accounts/users"
payload = { "member": {
"first_name": "Other",
"last_name": "User",
"email": "other@example.com",
"role": "staff"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
member: {
first_name: 'Other',
last_name: 'User',
email: 'other@example.com',
role: 'staff'
}
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/accounts/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/accounts/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'member' => [
'first_name' => 'Other',
'last_name' => 'User',
'email' => 'other@example.com',
'role' => 'staff'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/accounts/users"
payload := strings.NewReader("{\n \"member\": {\n \"first_name\": \"Other\",\n \"last_name\": \"User\",\n \"email\": \"other@example.com\",\n \"role\": \"staff\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/accounts/users")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"member\": {\n \"first_name\": \"Other\",\n \"last_name\": \"User\",\n \"email\": \"other@example.com\",\n \"role\": \"staff\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/accounts/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"member\": {\n \"first_name\": \"Other\",\n \"last_name\": \"User\",\n \"email\": \"other@example.com\",\n \"role\": \"staff\"\n }\n}"
response = http.request(request)
puts response.read_body{
"member": {
"public_uid": "US-3302058",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane_984e0f17@example.com",
"phone": null,
"office_phone": null,
"role": "agent",
"disabled": false,
"activation_state": "pending",
"portal_invitation_sent": false,
"commission_rate_id": null,
"last_activity_on": null
}
}{
"invitation": {
"id": 1,
"email": "other@example.com",
"role": "staff",
"status": "pending",
"last_sent_at": "2026-10-14T10:41:14.930+11:00",
"expires_at": "2026-10-28T10:41:14.930+11:00"
}
}{
"errors": [
"First name can't be blank",
"Last name can't be blank",
"Email can't be blank"
]
}Team / Members
Add a member
Adds a person to the agency with a role. An existing user is linked rather than duplicated.
POST
/
{agency_uid}
/
accounts
/
users
Add a member
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/accounts/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"member": {
"first_name": "Other",
"last_name": "User",
"email": "other@example.com",
"role": "staff"
}
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/accounts/users"
payload = { "member": {
"first_name": "Other",
"last_name": "User",
"email": "other@example.com",
"role": "staff"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
member: {
first_name: 'Other',
last_name: 'User',
email: 'other@example.com',
role: 'staff'
}
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/accounts/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/accounts/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'member' => [
'first_name' => 'Other',
'last_name' => 'User',
'email' => 'other@example.com',
'role' => 'staff'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/accounts/users"
payload := strings.NewReader("{\n \"member\": {\n \"first_name\": \"Other\",\n \"last_name\": \"User\",\n \"email\": \"other@example.com\",\n \"role\": \"staff\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/accounts/users")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"member\": {\n \"first_name\": \"Other\",\n \"last_name\": \"User\",\n \"email\": \"other@example.com\",\n \"role\": \"staff\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/accounts/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"member\": {\n \"first_name\": \"Other\",\n \"last_name\": \"User\",\n \"email\": \"other@example.com\",\n \"role\": \"staff\"\n }\n}"
response = http.request(request)
puts response.read_body{
"member": {
"public_uid": "US-3302058",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane_984e0f17@example.com",
"phone": null,
"office_phone": null,
"role": "agent",
"disabled": false,
"activation_state": "pending",
"portal_invitation_sent": false,
"commission_rate_id": null,
"last_activity_on": null
}
}{
"invitation": {
"id": 1,
"email": "other@example.com",
"role": "staff",
"status": "pending",
"last_sent_at": "2026-10-14T10:41:14.930+11:00",
"expires_at": "2026-10-28T10:41:14.930+11:00"
}
}{
"errors": [
"First name can't be blank",
"Last name can't be blank",
"Email can't be blank"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agency public_uid
Body
application/json
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes